Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229234 - system-config-lvm crashes on lvs with corelog
Summary: system-config-lvm crashes on lvs with corelog
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-lvm
Version: 8
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Jim Parsons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-19 17:54 UTC by D Sundqvist
Modified: 2009-04-04 19:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 494127 (view as bug list)
Environment:
Last Closed: 2009-01-09 04:35:48 UTC


Attachments (Terms of Use)
patch corrects the problem (deleted)
2007-07-07 03:09 UTC, David Robinson
no flags Details | Diff
2nd part of the patch to correct the problem (deleted)
2007-07-07 03:10 UTC, David Robinson
no flags Details | Diff
updated patch (deleted)
2007-07-11 14:17 UTC, David Robinson
no flags Details | Diff
opps... (deleted)
2007-07-15 06:24 UTC, David Robinson
no flags Details | Diff
updated patch (deleted)
2007-07-19 08:51 UTC, David Robinson
no flags Details | Diff

Description D Sundqvist 2007-02-19 17:54:54 UTC
Description of problem:
system-config-lvm will crash out while trying to load lvm data if any logical
volume has mirroring created with the --corelog option (ie, no mirrorlog
partition). 

Version-Release number of selected component (if applicable):
system-config-lvm-1.0.18-1.2.FC6

How reproducible:
always

Steps to Reproduce:
1. create a mirrored lv with in-memory log (assumes you've created a vg with 2
disks, and that you have an up to date lvm (lvm2-2.02.17-1.fc6) where the
following command works):
lvcreate -n mtest2 -l 100 -m 1 --corelog /dev/vg01
2. system-config-lvm
3. observe the pretty traceback
  
Actual results:
Traceback (most recent call last):
  File "/usr/sbin/system-config-lvm", line 103, in on_reload
    self.volume_tab_view.reset_tree_model()
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 173, in
reset_tree_model
    self.prepare_tree()
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 238, in
prepare_tree
    self.model_factory.reload()
  File "/usr/share/system-config-lvm/lvm_model.py", line 163, in reload
    self.__link_mirrors()
  File "/usr/share/system-config-lvm/lvm_model.py", line 567, in
__link_mirrors
    log_lv = vg.get_lvs()[lv.get_mirror_log()]
KeyError: ''


Expected results:
The usual pretty picture of my volumes and disks and no crash.

Additional info:

Comment 1 David Robinson 2007-07-07 03:09:27 UTC
Created attachment 158711 [details]
patch corrects the problem

Comment 2 David Robinson 2007-07-07 03:10:46 UTC
Created attachment 158712 [details]
2nd part of the patch to correct the problem

Comment 3 David Robinson 2007-07-11 14:17:19 UTC
Created attachment 158952 [details]
updated patch

the original patch left both halves of the mirror showing. this patch shows the
correct output.

Comment 4 David Robinson 2007-07-15 06:24:02 UTC
Created attachment 159275 [details]
opps...

Comment 5 David Robinson 2007-07-19 08:51:47 UTC
Created attachment 159580 [details]
updated patch

the if-break statement in the previous patch was incorrect and a result of the
first incorrect patch. its no longer needed with the updated patch.

Comment 6 ritz 2008-04-01 10:23:38 UTC
reproducible on f8.

Comment 7 Bug Zapper 2008-11-26 07:11:23 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-01-09 04:35:48 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Zach Carter 2009-04-04 19:19:48 UTC
I am able to reproduce this bug against Fedora 10

Comment 10 Zach Carter 2009-04-04 19:54:51 UTC
No obvious way to reopen the bug, so I cloned it to 494127


Note You need to log in before you can comment on or make changes to this bug.